package cz.moneta.test.dsl.ufo.cb.landing.proposals;

import cz.moneta.test.dsl.ufo.cb.landing.proposals.codebooks.*;

public class GeneralWarranty extends Proposal {
    public GeneralWarranty() {
        amount = "10000000";
        characterType = CharacterType.GENERAL_WARRANTY.getValue();
        proposalType = ProposalType.FRAMEWORK.getValue();
        productType = ProductType.FRAMEWORK_GUARANTEE.getValue();
        committed = "Ano";
        loanType = LoanType.BANK_GUARANTEE.getValue();
        loanPurpose = "Jiný";
        support = Support.NO_SUPPORT.getValue();
        rwaFlag = RwaFlag.YES.getValue();
    }
}
